package com.emato.cus.supervise.service.wms.impl;

import com.emato.cus.supervise.domain.WmsAcqGoodsOnSeat;
import com.emato.cus.supervise.mapper.WmsAcqGoodsSeatMapper;
import com.emato.cus.supervise.service.wms.WmsAcqGoodsOnSeatService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * @author zengjunlin
 * @version 1.0
 * 2018-02-03 16:42
 */
@Service
public class WmsAcqGoodsOnSeatServiceImpl implements WmsAcqGoodsOnSeatService {

    @Autowired
    private WmsAcqGoodsSeatMapper wmsAcqGoodsSeatMapper;

    @Override
    @Transactional(value ="primaryTransactionManager")
    public List<WmsAcqGoodsOnSeat> getWmsAcqGoodsSeat(Map<String, Object> param) {
        return wmsAcqGoodsSeatMapper.getWmsAcqGoodsSeat(param);
    }
}
